/***********************************************************************************************************************
 *
 * blueBill Core - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it
 * SCM: https://java.net/hg/bluebill~core-src
 *
 **********************************************************************************************************************/
package it.tidalwave.semantic.io.impl;

import javax.annotation.Nonnull;
import java.util.Comparator;
import org.openrdf.model.Statement;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class StatementComparator implements Comparator<Statement>
  {
    public int compare (final @Nonnull Statement s1, final @Nonnull Statement s2)
      {
        int d = s1.getSubject().stringValue().compareTo(s2.getSubject().stringValue());

        if (d == 0)
          {
            d = fixed(s1.getPredicate().stringValue()).compareTo(fixed(s2.getPredicate().stringValue()));
          }

        if (d == 0)
          {
            d = s1.getObject().stringValue().compareTo(s2.getObject().stringValue());
          }

        return d;
      }

    @Nonnull
    private String fixed (final @Nonnull String string) // puts rdf:type on top
      {
        return string.equals("http://www.w3.org/1999/02/22-rdf-syntax-ns#type") ? "____" + string : string;
      }
  }
