/***********************************************************************************************************************
 *
 * blueBill Core - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it
 * SCM: https://java.net/hg/bluebill~core-src
 *
 **********************************************************************************************************************/
package it.tidalwave.semantic.io.impl;

import javax.annotation.Nonnull;
import it.tidalwave.util.As;
import org.openrdf.model.impl.URIImpl;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class UriImplWithAs extends URIImpl implements UriWithAs
  {
    private final static long serialVersionUID = 345346357467858223L;
    
    @Nonnull
    private final As as;

    public UriImplWithAs (final @Nonnull String uriString, final @Nonnull As as)
      {
        super(uriString);
        this.as = as;
      }

    @Nonnull
    public As getAs()
      {
        return as;
      }

    @Override @Nonnull
    public String toString()
      {
        // FIXME: it seems that the N3Writer calls toString() instead of stringValue()
        // The point is that we must get rid of this class
//        return String.format("UriImplWithAs[%s]", stringValue());
        return stringValue();
      }
  }
